# Ravencoin - Community Ideas

“Every new mechanism frees the human mind for more creative adventures and accomplishments” - Life After Google by George Gilder  

We’re all in this together. There are new capabilities included in the latest Phoenix version (3.2+) of Ravencoin that open up new business opportunities.  Join in and build something.  This is not an exhaustive list, but just a starting point to fire the imagination.  


### Anyone with a computer
* Run a node - open firewall


### Developer
* Bridges
    * REST API to RPC (business specific)
    * REST API to memos/messages
* Core
    * Asset Exchange Proxy (simulate sending an ASSET like ravend does for RVN)
    * Improved messaging/memo RPC calls
    * 24 word - master key (not seed) - direct to/from master xprv and pub
    * Local Filter (whitelist/blacklist) for assets
    * Improve seed nodes (ipv4/ipv6)
* Tools
    * Issuance back-end - web based
    * Local IPFS Pinner by asset (or asset filter)
* IPFS
    * Improved IPFS integration
        * IPFS backup
    * Memo/Message API
* Explorers
    * Asset awareness
    * Message tracking website
    * Memo tracking website
    * Restricted Asset awareness
    * Tag awareness
        * List of Tags per address
        * List of Addresses per tag
* White label mobile wallet
    * Filter to specific assets or sub-assets
* QT Wallet
    * UI improvements
    * List of Tags per Address
    * Tighter integration with IPFS
* Mobile wallet enhancements
    * Fix dark mode on RVN Wallet
    * Fix GitHub Issues on Wallet
    * Asset Sweeping on Android
* Mobile Wallet
    * API based that handles assets/memos/messaging
    * Local Filter (whitelist/blacklist) for assets
    * Tag awareness
* Website
    * Memo/Message explorer


### Ravencoin.com
* Build website specifically for businesses / consultants


### Podcaster / Writer / Social Media / Influencer
* Restricted Assets (education)
* IPFS Integration benefits (education)
* Digital Twin capabilities (education)
* Security Token issuer benefits (education)
* Run a contest: RVN prize for best idea for new Ravencoin based Business


### Entrepreneur (Business Opportunities)
* Security Token Issuance Platform
* Back-office for security issuance
* Digital Twins / Proof-of-Authenticity Business
* Back-end API platform for Ravencoin
    * Other people to hit high-availablity API
* Fee system to pay RVN fees automatically
    * Auto-pay fees
    * Can take X% of fees
    * Auto-cosign transactions
    * Constructs a transaction for signing , adds fees, cosigns and publishes
* Auto fee funder (so users of ABC token doesn’t need to worry about fees)
    * Watches for a specific token
    * Sends small amount of RVN for fees.
* #BLUE_CHECK_MARK tag issuer as a trust mark.  Not just KYC, but a history of being a good actor.  Mirrors the blue check mark from twitter.
* #KYC tagger - store info and tag Ravencoin addresses
* #ACCREDITED - verify accredited status and tag Ravencoin addresses
 
### Technical Consultant
* Help companies apply Ravencoin capabilities to real-world problems
* Security Token Issuance Platform
* Collaborate with exchanges for more listings
* Collaborate with custodial Security Token exchanges for deposit/withdrawal
* Collaborate with hardware wallets for additional RVN and asset support


### Areas for Ravencoin Innovation
* Financial
* Supply-chain - Paperless record keeping
* Tokenized Game Items - spanning game companies
* NFTs - Nifties
* Security Token Issuance
* Stablecoin
* Gift Card Tracking
* Digital Twin
* Certificates of Authenticity
* Encrypted Messaging
* Immutable Record keeping
* Cross-border payment system
* A global digital media delivery and payment marketplace
* A wallet widget in java that can check for an ID asset like what Mangofarms has using short field communications. Smart devices like locks could check to see if your phone or other wallet holds the unique asset needed for access.
* This same type of widget for subscription web site access and for secure network access.
* Wallets for non PC/Phone. Like Xbox, Xfinity X1 box, Roku....
